import gleam/io
import oas/generator
import snag

pub fn main() {
  case
    generator.build(
      "dev/spacetraders.openapi.json",
      ".",
      "spacetraders_sdk",
      [],
    )
  {
    Ok(_) -> Nil
    Error(reason) -> io.print(snag.pretty_print(reason))
  }
}
