import gleam/dynamic/decode.{type Decoder}
import models/frame_symbol.{type FrameSymbol}

pub type ScannedShipFrame {
  ScannedShipFrame(symbol: FrameSymbol)
}

pub fn decoder() -> Decoder(ScannedShipFrame) {
  use symbol <- decode.field("symbol", frame_symbol.decoder())
  decode.success(ScannedShipFrame(symbol:))
}
