import endpoints/accounts
import endpoints/agents
import endpoints/contracts
import endpoints/data
import endpoints/factions
import endpoints/fleet
import endpoints/global
import endpoints/systems

pub fn main() -> Nil {
  Nil
}

pub const get_account = accounts.get_account

pub const register_new_agent = accounts.register_new_agent

pub const list_public_agents = agents.list_public_agents

pub const get_public_agent = agents.get_public_agent

pub const get_agent = agents.get_agent

pub const get_agent_events = agents.get_agent_events

pub const list_contracts = contracts.list_contracts

pub const get_contract = contracts.get_contract

pub const accept_contract = contracts.accept_contract

pub const fulfill_contract = contracts.fulfill_contract

pub const deliver_contract_cargo = contracts.deliver_contract_cargo

pub const list_factions = factions.list_factions

pub const get_faction = factions.get_faction

pub const get_my_factions = factions.get_my_factions

pub const list_ships = fleet.list_ships

pub const purchase_ship = fleet.purchase_ship

pub const get_ship = fleet.get_ship

pub const create_chart = fleet.create_chart

pub const negotiate_contract = fleet.negotiate_contract

pub const get_ship_cooldown = fleet.get_ship_cooldown

pub const dock_ship = fleet.dock_ship

pub const extract_resources = fleet.extract_resources

pub const extract_resources_with_survey = fleet.extract_resources_with_survey

pub const jettison_cargo = fleet.jettison_cargo

pub const jump_ship = fleet.jump_ship

pub const scan_systems = fleet.scan_systems

pub const scan_waypoints = fleet.scan_waypoints

pub const scan_ships = fleet.scan_ships

pub const scrap_ship = fleet.scrap_ship

pub const get_scrap_ship = fleet.get_scrap_ship

pub const navigate_ship = fleet.navigate_ship

pub const warp_ship = fleet.warp_ship

pub const orbit_ship = fleet.orbit_ship

pub const purchase_cargo = fleet.purchase_cargo

pub const refine_ship = fleet.refine_ship

pub const refuel_ship = fleet.refuel_ship

pub const repair_ship = fleet.repair_ship

pub const get_repair_ship = fleet.repair_ship

pub const sell_cargo = fleet.sell_cargo

pub const siphon_resources = fleet.siphon_resources

pub const create_survey = fleet.create_survey

pub const transfer_cargo = fleet.transfer_cargo

pub const get_ship_cargo = fleet.get_ship_cargo

pub const get_ship_modules = fleet.get_ship_modules

pub const install_ship_module = fleet.install_ship_module

pub const remove_ship_module = fleet.remove_ship_module

pub const get_ship_mounts = fleet.get_ship_mounts

pub const install_ship_mount = fleet.install_ship_mount

pub const remove_ship_mount = fleet.remove_ship_mount

pub const get_ship_nav = fleet.get_ship_nav

pub const patch_ship_nav = fleet.patch_ship_nav

pub const list_systems = systems.list_systems

pub const get_system = systems.get_system

pub const list_system_waypoints = systems.list_system_waypoints

pub const get_waypoint = systems.get_waypoint

pub const get_construction_site = systems.get_construction_site

pub const supply_construction_site = systems.supply_construction_site

pub const get_market = systems.get_market

pub const get_jump_gate = systems.get_jump_gate

pub const get_shipyard = systems.get_shipyard

pub const get_supply_chain = data.get_supply_chain

pub const get_departure_events = data.get_departure_events

pub const get_server_status = global.get_server_status

pub const list_error_codes = global.list_error_codes
